AFILE(1)

NAME
afile - display type and creator of Apple Macintosh files (netatalk format)

SYNOPSIS

afile [-a] file...

DESCRIPTION

afile displays the name and Macintosh type and creator of the file arguments. Tests whether the file is an AppleDouble header, in which case it checks the corresponding data fork exists, or assumes it is a data fork in which case it looks for the corresponding AppleDouble to find the type/creator information.

afile does not look at any of the extension mapping files such as AppleVolumes.system.

OPTIONS

-a
    Include directories and data files of unknown type (i.e. without corresponding AppleDouble) in output.

DIAGNOSTICS

returns exit status 0 if all files have a corresponding valid .AppleDouble header or data fork, or 99 for bad command line options. Otherwise it returns the following error code relating to the last invalid file.

1 file doesn't exist

2 file is unreadable

3 file is directory

4 file is AppleDouble without data fork

5 file is AppleDouble with unreadable data fork

6 file is data fork without AppleDouble

7 file is data fork with unreadable AppleDouble

8 file is data fork with short AppleDouble

9 bad magic in AppleDouble

SEE ALSO

achfile(1), afpd(8)